% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive

function [Dati_PE,ARRAYdatePE] = MediaDati_PE(Def_PE,TimePE,NdatiMedia,FileName)

text = 'MediaDati_PE function started';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);

%% Deformazione
[r,~]=size(Def_PE);
if NdatiMedia > r
    NdatiMedia = r;
end
Dati_PE = smoothdata(Def_PE,'gaussian',NdatiMedia);

ARRAYdatePE = TimePE;

text = 'MediaDati_PE function closed';
fprintf(fileID,fmt,text);
fclose(fileID);

end